> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a connector

> Delete a connector and its encrypted credentials.



## OpenAPI

````yaml /sprites/api/openapi.json delete /v1/oauth/connections/{id}
openapi: 3.1.0
info:
  title: Sprites API
  version: 0.1.12
  x-sprite-env-version: v0.0.1-rc48
servers:
  - url: https://api.sprites.dev
security: []
paths:
  /v1/oauth/connections/{id}:
    delete:
      tags:
        - Connectors
      summary: Delete a connector
      description: Delete a connector and its encrypted credentials.
      operationId: o_auth_connections_delete_delete
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '204':
          description: No content
        '401':
          description: Missing or invalid authentication
        '404':
          description: Sprite not found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````